Page MenuHome

Crash upon Startup
Closed, ResolvedPublic

Description

System Information
Windows 7, Nvidia 840m

Blender Version
Broken: 2.8 Build from 5-(26-28)-17 (Could not load splash screen)
Worked: Last version tested 2.78a e8299c8 (I doubt it's an issue found in any official releases though)

Short description of error
Opens command window (standard)
Displays a message that processor speed is not as expected by AL (unrelated)
next line:
Win32 Error# (3221692565) : <no system message>

Not much I could find about this issue elsewhere but I did find a post on the OpenGL forums with the exact error code (seems like it might be a good place to look to for a start)

I've attempted running blender 2.8 versions built with 32 bit, 64 bit, and vc2015. but to no avail.

Exact steps for others to reproduce the error
Download the bleeding edge build of blender 2.8 project
Extract zip into Downloads folder
Open blender.exe
-1 Second later CRASH-

I'm sorry I could not provide any further information on replicating this issue but I cannot get further into blender to see any more details. I feel it might just be user error, maybe I've extracted it in the wrong place (although blender is very portable) but I'm at a loss here.

Thank you.

Details

Type
Bug

Event Timeline

Upon crash Blender writes a file, can you upload it.
Instructions are here: https://docs.blender.org/manual/ja/dev/troubleshooting/crash.html

I looked in the C:\tmp directory but could not find any text file with the crash information. Blender doesn't just "stop responding" it creates a window with a gray screen and then "closes" silently.

(update) I've got blender to stop responding rather than closing itself by clicking on the window border. while it wasn't able to write a file I was able to collect this from the not responding window.

Problem Event Name:	AppHangB1
Application Name:	blender.exe
Application Version:	2.8.0.0
Application Timestamp:	592a249f
Hang Signature:	cb04
Hang Type:	0
OS Version:	6.1.7601.2.1.0.768.3
Locale ID:	1033
Additional Hang Signature 1:	cb04b3809e798fbc1fac417362058dbe
Additional Hang Signature 2:	1ccf
Additional Hang Signature 3:	1ccf51897c8c20d1b0c9edb8084e6637
Additional Hang Signature 4:	cb04
Additional Hang Signature 5:	cb04b3809e798fbc1fac417362058dbe
Additional Hang Signature 6:	1ccf
Additional Hang Signature 7:	1ccf51897c8c20d1b0c9edb8084e6637

I know this might not help as much considering blender focuses on multi-platform issues but I just couldn't get the crash file. perhaps it's crashing without ever getting a chance to write one.
Or maybe I just followed the troubleshooting instructions wrong but I couldn't find anything in my temp directory aside from a few renders from other blender versions.

Bastien Montagne (mont29) triaged this task as Needs Information from User priority.

Please check that you have latest official NVidia drivers installed, and give us their exact version.

Also please note that we are very picky with bug reports on 2.8 series currently, branch is in rather WIP state, and due to lack of man power we can only handle very precise and easily reproducible reports…

I have the same problem. The console log says:

E:\Software\blender-2.80>blender --factory-startup --verbose 3 -d

Switching to fully guarded memory allocator.
Blender 2.80 (sub 0)
Build: Tue 05/30/2017 06:18 AM Windows Release
argv[0] = blender
argv[1] = --factory-startup
argv[2] = --verbose
argv[3] = 3
argv[4] = -d
read file

Version 272 sub 2 date unknown hash unknown

Win32 Error# (3221692565): <no system message>
Win32 Error# (3221692565): <no system message>
Win32 Error# (3221684237): <no system message>
Win32 Error# (3221684237): <no system message>
Win32 Error# (3221684237): <no system message>
Win32 Error# (3221684237): <no system message>
found bundled python: E:\Software\blender-2.80\2.80\python
Error: EXCEPTION_ACCESS_VIOLATION

But.... if I add
--debug-gpu
to the CLI, Blender starts and works (slowly because of the console logs)

I have Windows 8.1 64bit with Intel HD Graphics + NVIDIA Geforce 310M (NVIDIA Optimus)

Hope it helps.

I'll try to reproduce this issue on a debug build which should tell us more information. I only have a few NVIDIA cards though, none of the ones reported here...

Geforce 310M supports OpenGL 3.3 and 840M supports GL 4.5 so both of these should work.

On my Geforce 310M, Blender 2.78 always worked fine.
If I start 2.80 with command line: blender.exe -d --debug-gpu it works too and I can use Eevee and so on. So the card is ok.
The question is why the --debug-gpu thing make the deal?

https://www.gamedev.net/topic/658138-creating-an-opengl-context-on-windows-with-glew/
https://www.opengl.org/discussion_boards/archive/index.php/t-175619.html

maybe it can help

I'll try to reproduce this issue on a debug build which should tell us more information. I only have a few NVIDIA cards though, none of the ones reported here...
Geforce 310M supports OpenGL 3.3 and 840M supports GL 4.5 so both of these should work.

I'm running into this bug as well with both the Grease Pencil branch (own build) and Buildbot (blender-2.80-f860369-win64.zip).

Specs:
Windows 8.1 64-bit, Nvidia GeForce GT 740M (with optimus stuff), Driver Version 331.82

System Info OpenGL info:
https://developer.blender.org/P501

Output of running buildbot build with --debug-gpu:

/ https://developer.blender.org/P502

Thanks @Joshua Leung (aligorith), that debug dump has some useful info.

Major issue:
Failed shader link. The GLSL should be easy to fix.

Minor issue:
"Texture state usage warning: Waste of memory: Texture 0 has mipmaps, while its min filter is inconsistent with mipmaps."

Bastien Montagne (mont29) raised the priority of this task from Needs Information from User to Confirmed, Medium.Jun 28 2017, 10:36 AM

I get a crash on start up from build bot:

blender-2.80.0-git.b090520-windows64
running on
OS Windows 7 SP1 64bit with OpenGL 4.0
Graphics Intel HD4600

Starting from command line returns:

Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation.  All rights reserved.

C:\Users\MCSWEEND2C> cd C:\Users\MCSWEEND2C\Documents\blender-2.80.0-git.b090520
-windows64

C:\Users\*******\Documents\blender-2.80.0-git.b090520-windows64>Blender.exe
AL lib: (EE) UpdateDeviceParams: Failed to set 44100hz, got 48000hz instead
Win32 Error# (0): The operation completed successfully.
Win32 Error# (0): The operation completed successfully.
Win32 Error# (0): The operation completed successfully.
Win32 Error# (0): The operation completed successfully.
Win32 Error# (0): The operation completed successfully.
Win32 Error# (0): The operation completed successfully.
Win32 Error# (0): The operation completed successfully.

C:\Users\*******\Documents\blender-2.80.0-git.b090520-windows64>Blender.exe
AL lib: (EE) UpdateDeviceParams: Failed to set 44100hz, got 48000hz instead
Win32 Error# (3221692565): <no system message>
Win32 Error# (3221692565): <no system message>
Win32 Error# (3221692565): <no system message>
found bundled python: C:\Users\*******\Documents\blender-2.80.0-git.b090520-w
indows64\2.80\python
Error: EXCEPTION_ACCESS_VIOLATION

C:\Users\*******\Documents\blender-2.80.0-git.b090520-windows64>Blender.exe -
-debug-gpu
AL lib: (EE) UpdateDeviceParams: Failed to set 44100hz, got 48000hz instead
Win32 Error# (3221692565): <no system message>
Win32 Error# (3221692565): <no system message>
Win32 Error# (3221692565): <no system message>
Failed to hook OpenGL debug callback.
found bundled python: C:\Users\*******\Documents\blender-2.80.0-git.b090520-w
indows64\2.80\python
Error: EXCEPTION_ACCESS_VIOLATION

64 bit Blender builds of 2.79 from same period work fine.

Good news! I just tested the f67c331 buildbot, and it's now possible to run 2.8 and play around with it if I enable the --debug-gpu flag first. However, just running it still segfaults.

Definitely a step in the right direction... now, to figure out what's causing the crash :)

@Joshua Leung (aligorith) I guess b43cdc91ce was the cause for your initial issues then. That said, it's really strange that it works with --debug-gpu but not without.

I got the same issue here, when i try to open the .exe file it shows Win32 Error# (3221692565): <no system message>
on terminal it shows Error: EXCEPTION_ACCESS_VIOLATION blender

maybe it's something about windows 7, cause all crashes here came from a windows 7 pc... i don't know...
anyway, here are some information that may help

sorry for my terrible english....

I got this log, which I didn't have before. Hope it could help:


GL API other: Program/shader state info: Assembly program 0 failed to compile at
 position 2432.  The associated error string is:  line 75, column 27:  error: in
valid operand variable

GL API other: Program/shader state info: GLSL program 148 failed to link
GPUShader: linking error:
Vertex info
-----------
0(22) : warning C7050: "finalColor.w" might be used before being initialized
Internal error: assembly compile error for vertex shader at offset 2432:
-- error message --
line 75, column 27:  error: invalid operand variable
-- internal assembly text --
!!NVvp4.1
OPTION NV_parameter_buffer_object2;
# cgc version 3.1.0001, build date Aug 29 2013
# command line args:
#vendor NVIDIA Corporation
#version 3.1.0.1
#profile gp4_1vp
#program main
#semantic ModelViewProjectionMatrix
#semantic ViewProjectionMatrix
#semantic ModelViewMatrix
#semantic ProjectionMatrix
#semantic screen_space
#semantic draw_size
#semantic color
#semantic ramp
#var float4 gl_Position : $vout.POSITION : HPOS : -1 : 1
#var float4x4 ModelViewProjectionMatrix :  : c[0], 4 : -1 : 1
#var float4x4 ViewProjectionMatrix :  : , 4 : -1 : 0
#var float4x4 ModelViewMatrix :  : c[4], 4 : -1 : 1
#var float4x4 ProjectionMatrix :  : c[8], 4 : -1 : 1
#var int screen_space :  : c[12] : -1 : 1
#var float draw_size :  : c[13] : -1 : 1
#var float3 color :  :  : -1 : 0
#var sampler1D ramp :  :  : -1 : 0
#var float3 pos : $vin.ATTR0 : ATTR0 : -1 : 1
#var float4 rot : $vin.ATTR1 : ATTR1 : -1 : 1
#var float val :  :  : -1 : 0
#var float3 inst_pos : $vin.ATTR2 : ATTR2 : -1 : 1
#var int axis : $vin.ATTR3 : ATTR3 : -1 : 1
#var float4 finalColor : $vout.ATTR0_FLAT : ATTR0 : -1 : 1
PARAM c[14] = { program.local[0..13] };
ATTRIB vertex_attrib[] = { vertex.attrib[0..3] };
OUTPUT result_attrib[] = { result.attrib[0..0] };
TEMP R0, R1, R2;
TEMP RC, HC;
SEQ.S R0.x, c[12], {1, 0, 0, 0};
MOV.U.CC RC.x, -R0;
IF    NE.x;
MUL.F R0, vertex.attrib[0].y, c[5];
MAD.F R0, vertex.attrib[0].x, c[4], R0;
MAD.F R0, vertex.attrib[0].z, c[6], R0;
ADD.F R1, R0, c[7];
MOV.F R0.w, {0, 0, 0, 0}.x;
MUL.F R0.xyz, vertex.attrib[2], c[13].x;
ADD.F R0, R1, R0;
MUL.F R1, R0.y, c[9];
MAD.F R1, R0.x, c[8], R1;
MAD.F R1, R0.z, c[10], R1;
MAD.F result.position, R0.w, c[11], R1;
ELSE;
SGT.S R0.y, vertex.attrib[3].x, {-1, 0, 0, 0}.x;
MOV.U.CC RC.x, -R0.y;
MOV.F R0.x, c[13];
IF    NE.x;
MUL.F R0.x, c[13], {2, 0, 0, 0};
ENDIF;
MUL.F R0.xyz, vertex.attrib[2], R0.x;
MUL.F R1.xyz, vertex.attrib[1].wyzw, R0.yzxw;
MAD.F R1.xyz, vertex.attrib[1].zwyw, R0.zxyw, -R1;
MAD.F R1.xyz, vertex.attrib[1].x, R0, R1;
MUL.F R2.xyz, vertex.attrib[1].wyzw, R1.yzxw;
MAD.F R1.xyz, vertex.attrib[1].zwyw, R1.zxyw, -R2;
MAD.F R0.xyz, R1, {2, 0, 0, 0}.x, R0;
ADD.F R0.xyz, vertex.attrib[0], R0;
MUL.F R1, R0.y, c[1];
MAD.F R1, R0.x, c[0], R1;
MAD.F R0, R0.z, c[2], R1;
ADD.F result.position, R0, c[3];
ENDIF;
SEQ.S R1.xyz, vertex.attrib[3].x, {0, 1, 2, 0};
MOV.U.CC RC.x, -R1;
MOV.F result.attrib[0].xyz, {0, 0, 0, 0}.x;
MOV.U R0.xy, -R1.yzzw;
MOV.F result.attrib[0].w, result.attrib[0];
IF    NE.x;
MOV.F R0.xyz, {1, 0, 0, 0}.xyyw;
ELSE;
MOV.U.CC RC.x, R0;
IF    NE.x;
MOV.F R0.xyz, {0, 1, 0, 0}.xyxw;
ELSE;
MOV.U.CC RC.x, R0.y;
IF    NE.x;
MOV.F R0.xyz, {0, 1, 0, 0}.xxyw;
ELSE;
MOV.F R0.xyz, {0, 0, 0, 0}.x;
ENDIF;
ENDIF;
ENDIF;
MOV.F result.attrib[0].xyz, R0;
MOV.F result.attrib[0].w, {1, 0, 0, 0}.x;
END
# 56 instructions, 3 R-regs

GPUShader: linking error:
Vertex info
-----------
0(22) : warning C7050: "finalColor.w" might be used before being initialized
Internal error: assembly compile error for vertex shader at offset 2432:
-- error message --
line 75, column 27:  error: invalid operand variable
-- internal assembly text --
!!NVvp4.1
OPTION NV_parameter_buffer_object2;
# cgc version 3.1.0001, build date Aug 29 2013
# command line args:
#vendor NVIDIA Corporation
#version 3.1.0.1
#profile gp4_1vp
#program main
#semantic ModelViewProjectionMatrix
#semantic ViewProjectionMatrix
#semantic ModelViewMatrix
#semantic ProjectionMatrix
#semantic screen_space
#semantic draw_size
#semantic color
#semantic ramp
#var float4 gl_Position : $vout.POSITION : HPOS : -1 : 1
#var float4x4 ModelViewProjectionMatrix :  : c[0], 4 : -1 : 1
#var float4x4 ViewProjectionMatrix :  : , 4 : -1 : 0
#var float4x4 ModelViewMatrix :  : c[4], 4 : -1 : 1
#var float4x4 ProjectionMatrix :  : c[8], 4 : -1 : 1
#var int screen_space :  : c[12] : -1 : 1
#var float draw_size :  : c[13] : -1 : 1
#var float3 color :  :  : -1 : 0
#var sampler1D ramp :  :  : -1 : 0
#var float3 pos : $vin.ATTR0 : ATTR0 : -1 : 1
#var float4 rot : $vin.ATTR1 : ATTR1 : -1 : 1
#var float val :  :  : -1 : 0
#var float3 inst_pos : $vin.ATTR2 : ATTR2 : -1 : 1
#var int axis : $vin.ATTR3 : ATTR3 : -1 : 1
#var float4 finalColor : $vout.ATTR0_FLAT : ATTR0 : -1 : 1
PARAM c[14] = { program.local[0..13] };
ATTRIB vertex_attrib[] = { vertex.attrib[0..3] };
OUTPUT result_attrib[] = { result.attrib[0..0] };
TEMP R0, R1, R2;
TEMP RC, HC;
SEQ.S R0.x, c[12], {1, 0, 0, 0};
MOV.U.CC RC.x, -R0;
IF    NE.x;
MUL.F R0, vertex.attrib[0].y, c[5];
MAD.F R0, vertex.attrib[0].x, c[4], R0;
MAD.F R0, vertex.attrib[0].z, c[6], R0;
ADD.F R1, R0, c[7];
MOV.F R0.w, {0, 0, 0, 0}.x;
MUL.F R0.xyz, vertex.attrib[2], c[13].x;
ADD.F R0, R1, R0;
MUL.F R1, R0.y, c[9];
MAD.F R1, R0.x, c[8], R1;
MAD.F R1, R0.z, c[10], R1;
MAD.F result.position, R0.w, c[11], R1;
ELSE;
SGT.S R0.y, vertex.attrib[3].x, {-1, 0, 0, 0}.x;
MOV.U.CC RC.x, -R0.y;
MOV.F R0.x, c[13];
IF    NE.x;
MUL.F R0.x, c[13], {2, 0, 0, 0};
ENDIF;
MUL.F R0.xyz, vertex.attrib[2], R0.x;
MUL.F R1.xyz, vertex.attrib[1].wyzw, R0.yzxw;
MAD.F R1.xyz, vertex.attrib[1].zwyw, R0.zxyw, -R1;
MAD.F R1.xyz, vertex.attrib[1].x, R0, R1;
MUL.F R2.xyz, vertex.attrib[1].wyzw, R1.yzxw;
MAD.F R1.xyz, vertex.attrib[1].zwyw, R1.zxyw, -R2;
MAD.F R0.xyz, R1, {2, 0, 0, 0}.x, R0;
ADD.F R0.xyz, vertex.attrib[0], R0;
MUL.F R1, R0.y, c[1];
MAD.F R1, R0.x, c[0], R1;
MAD.F R0, R0.z, c[2], R1;
ADD.F result.position, R0, c[3];
ENDIF;
SEQ.S R1.xyz, vertex.attrib[3].x, {0, 1, 2, 0};
MOV.U.CC RC.x, -R1;
MOV.F result.attrib[0].xyz, {0, 0, 0, 0}.x;
MOV.U R0.xy, -R1.yzzw;
MOV.F result.attrib[0].w, result.attrib[0];
IF    NE.x;
MOV.F R0.xyz, {1, 0, 0, 0}.xyyw;
ELSE;
MOV.U.CC RC.x, R0;
IF    NE.x;
MOV.F R0.xyz, {0, 1, 0, 0}.xyxw;
ELSE;
MOV.U.CC RC.x, R0.y;
IF    NE.x;
MOV.F R0.xyz, {0, 1, 0, 0}.xxyw;
ELSE;
MOV.F R0.xyz, {0, 0, 0, 0}.x;
ENDIF;
ENDIF;
ENDIF;
MOV.F result.attrib[0].xyz, R0;
MOV.F result.attrib[0].w, {1, 0, 0, 0}.x;
END
# 56 instructions, 3 R-regs

GPUShader: compile error:
0(805) : error C1101: ambiguous overloaded function reference "min(mediump float
, float)"
    (0) : vec4 min(vec4, float)
    (0) : vec3 min(vec3, float)
    (0) : vec2 min(vec2, float)
    (0) : ps gp5 gp4 cp50 fp50 vp50 gp50 cpf fpf vpf gpf mediump float min(mediu
mp float, mediump float)
    (0) : float min(float, float)
0(815) : error C1101: ambiguous overloaded function reference "min(mediump float
, float)"
    (0) : vec4 min(vec4, float)
    (0) : vec3 min(vec3, float)
    (0) : vec2 min(vec2, float)
    (0) : ps gp5 gp4 cp50 fp50 vp50 gp50 cpf fpf vpf gpf mediump float min(mediu
mp float, mediump float)
    (0) : float min(float, float)

Error: EXCEPTION_ACCESS_VIOLATION

I couldn't repro these GLSL errors myself, but I committed a potential fix for these issues in rBb68b26c265d0: Attempt to fix GLSL errors on Blender startup.. Tomorrow's daily build should have it.

Dalai Felinto (dfelinto) closed this task as Resolved.Aug 16 2017, 11:38 AM
Dalai Felinto (dfelinto) claimed this task.

Reported as fixed in the related T52404, closing now. Write back if the problem persists.

Thank you Brecht. The fix allowed me to start blender with the --debug-gpu parameter and play with Eevee.
Without the parameter, Blender won't start with usual: "Error: EXCEPTION_ACCESS_VIOLATION" output.

I'm currently still having to run blender via --debug-gpu, which makes things really slow. So, I decided to do a little more digging today (after setting up a dedicated copy of the 2.8/gp branches to avoid having to worry about so many leftover build files when changing branches).

It turns out that for me, it's currently bugging out on the following check:

GHOST_ContextWGL.cpp  ->  GHOST_ContextWGL::initializeDrawingContext()  ->  !WIN32_CHK(m_hGLRC != NULL)       (line 882, gp branch)

Adding a few more prints, to each of the cases leading up to this, I get the following startup sequence:

profile mask = 1
major version = 4
minor version = 5
m_hGLRC = wglCreateContextAttribsARB => 0000000000000000
C:\blenderdev\dev\blender\intern\ghost\intern\GHOST_ContextWGL.cpp(890):[m_hGLRC != NULL] -> Win32 Error# (3221692565): <no system message>
profile mask = 1
major version = 4
minor version = 4
m_hGLRC = wglCreateContextAttribsARB => 0000000000030000
profile mask = 1
major version = 4
minor version = 4
m_hGLRC = wglCreateContextAttribsARB => 0000000000050000
found bundled python: C:\blenderdev\dev\install\2.80\python
addon not found: 'cycles'
Error: EXCEPTION_ACCESS_VIOLATION

Here the error message on my computer... it looks coming around the format extension...

Why is this bug "Closed/Resolved" ? The problem is still here. Blender won't start without the --debug-gpu.

I too have the same problem.. Only runs with

-d --debug-gpu
E:\Software\blender\blender-2.80-7a07500-win64\blender-2.80.0-git.7a07500-window
s64>blender.exe
Read prefs: C:\Users\Edit\AppData\Roaming\Blender Foundation\Blender\2.80\config
\userpref.blend
AL lib: (EE) UpdateDeviceParams: Failed to set 48000hz, got 44100hz instead
Win32 Error# (3221692565): <no system message>
Win32 Error# (3221692565): <no system message>
found bundled python: E:\Software\blender\blender-2.80-7a07500-win64\blender-2.8
0.0-git.7a07500-windows64\2.80\python
Error   : EXCEPTION_ACCESS_VIOLATION
Address : 0x0000000065538649
Module  : C:\Windows\system32\nvoglv64.DLL

Using Windows 7
Intel Core i5-4440 CPU @ 3.10GHz
Geforce GTX 750

I too had this kind of error [EXCEPTION_ACCESS_VIOLATION in nvoglv].

What I did to solve this issue:
In Nvidia Control Panel > Manage 3D settings, Added blender in Program Settings tab and tweaked the settings
and found that disabling Threaded optimization made the blender to start normally.

This worked for me

Graphics Hardware: Nvidia 9400GT with driver version 342.01 [Nov 2016]